Skip to main content
GET
/
webhooks
List webhooks
curl --request GET \
  --url https://api.demo.cula.earth/tracking/v1/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "wbh_5ZTPGQX00HOLKUNM",
      "url": "https://hooks.example.com/events/",
      "events": [
        "sink.verified"
      ],
      "description": null,
      "status": "enabled",
      "created_at": "2025-10-10T21:03:58Z",
      "updated_at": "2025-10-10T21:03:58Z",
      "secret": "whsec_C2FVsBQIhrscChlQIMV+b5sSYspob7oD"
    }
  ],
  "pagination": {
    "starting_after": null,
    "limit": 10,
    "has_more": false,
    "next_cursor": null
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.

Query Parameters

limit
integer
default:10

Maximum number of items to return.

Required range: 1 <= x <= 50
starting_after
string

Cursor representing the item ID after which to start listing results.

Response

Webhooks configured for the authenticated account.

data
object[]
required
pagination
object
required